// file: Employee.h

#ifndef _Employee_H_
#define _Employee_H_

// Dependencies
#include "Object.h"
// Uses
#include <string>
using namespace std;
    
/** Stores an employee's data.
 */
class Employee : public Object
{
// Methods

public:
    void increaseSalary(double percent);

// Properties

public:
    string getName() const
    {
        return _Name;
    }
    
private: 
    string _Name;
    
public:
    int getSSN() const
    {
        return _SSN;
    }
    
private: 
    int _SSN;
    
public:
    double getSalary() const
    {
        return _Salary;
    }
    
public:
    double setSalary(double value)
    {
        _Salary = value;
    };
        
private: 
    double _Salary;
    
};// class: Employee

#endif // _Employee_H_